Bug 1160902 - search, matching rules and filter error "unsupported type 0xA9"
Summary: search, matching rules and filter error "unsupported type 0xA9"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-05 23:13 UTC by Marc Sauton
Modified: 2016-11-03 20:34 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:34:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Marc Sauton 2014-11-05 23:13:09 UTC
Description of problem:

This came up as a side effect of trouble shooting a separate search issue:

a filter with a matching rules seem to create the following error trace, without creating any apparent result errors:
...
[05/Nov/2014:06:00:50 -0800] - <= get_extensible_filter 0
[05/Nov/2014:06:00:50 -0800] - (ou:dn:=people)
...
[05/Nov/2014:06:00:51 -0800] get_filter -  after optimize: (&(objectClass=groupOfUniqueNames)(!))
[05/Nov/2014:06:00:51 -0800] index_subsys_assign_filter_decoders - before: (&(objectClass=groupOfUniqueNames)(!unsupported type 0xA9))
...

I am not sure if this is really an issue, if it can be ignored, I seem to get all the entries I expect, or not see the entries I expect to be discarded, but there should probably be no such error, so this may need to be reviewed.

Dev / Noriko commented:
"
 The error "unsupported type 0xA9" is logged in slapi_filter_to_string_internal (filter.c).  And 0xA9 is LDAP_FILTER_EXTENDED:

    #define LDAP_FILTER_EXTENDED 0xa9L

Indeed slapi_filter_to_string_internal does not handle LDAP_FILTER_EXTENDED...

Could it be a "not implemented yet" type of bug???
"


Version-Release number of selected component (if applicable):
RHEL 6.6
389-ds-base-1.2.11.15-47.el6.x86_64


How reproducible:
on demand


Steps to Reproduce:

1. service dirsrv stop

2. add 32 to the error log verbose level for filter debug:
vim /etc/dirsrv/slapd-ca1/dse.ldif
...
nsslapd-errorlog-level: 16416

3. service dirsrv start

4. test, for example list entries with ou that cannot have in DN the string =people
so I expect only groups in my test sample data set:

ldapsearch -LLLx -h 10.14.5.174 -p 389 -D "cn=directory manager" -w password -b dc=example,dc=com "(&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)))" dn
dn: cn=group0,ou=groups,dc=example,dc=com
...snip...
dn: cn=group49,ou=groups,dc=example,dc=com

5. review errors log


Actual results:


Expected results:


Additional info:


less /var/log/dirsrv/slapd-ca1/errors
...
[05/Nov/2014:06:00:50 -0800] - EXTENDED
[05/Nov/2014:06:00:50 -0800] - => get_extensible_filter
[05/Nov/2014:06:00:50 -0800] - <= get_extensible_filter 0
[05/Nov/2014:06:00:50 -0800] - (ou:dn:=people)
[05/Nov/2014:06:00:50 -0800] - <= get_filter_internal 0
[05/Nov/2014:06:00:50 -0800] - <= get_filter_internal 0
[05/Nov/2014:06:00:51 -0800] - <= get_filter_list
[05/Nov/2014:06:00:51 -0800] - <= get_filter_internal 0
[05/Nov/2014:06:00:51 -0800] get_filter - before optimize: (&(objectClass=groupOfUniqueNames)(!))
[05/Nov/2014:06:00:51 -0800] get_filter -  after optimize: (&(objectClass=groupOfUniqueNames)(!))
[05/Nov/2014:06:00:51 -0800] index_subsys_assign_filter_decoders - before: (&(objectClass=groupOfUniqueNames)(!unsupported type 0xA9))
[05/Nov/2014:06:00:51 -0800] index_subsys_assign_filter_decoders -  after: (&(objectClass=groupOfUniqueNames)(!unsupported type 0xA9))
[05/Nov/2014:06:00:51 -0800] - slapi_str2filter "objectclass=referral"
[05/Nov/2014:06:00:51 -0800] - slapi_str2filter: default
[05/Nov/2014:06:00:51 -0800] - str2simple "objectclass=referral"
[05/Nov/2014:06:00:51 -0800] -  OR
[05/Nov/2014:06:00:51 -0800] -  AND
[05/Nov/2014:06:00:51 -0800] -  EQUALITY
[05/Nov/2014:06:00:51 -0800] - => slapi_attr_assertion2keys_ava_sv
[05/Nov/2014:06:00:51 -0800] - <= slapi_attr_assertion2keys_ava_sv 0
[05/Nov/2014:06:00:51 -0800] -  NOT
[05/Nov/2014:06:00:51 -0800] -  EQUALITY
[05/Nov/2014:06:00:51 -0800] - => slapi_attr_assertion2keys_ava_sv
[05/Nov/2014:06:00:51 -0800] - <= slapi_attr_assertion2keys_ava_sv 0
[05/Nov/2014:06:00:51 -0800] - slapi_filter_free type 0xA1
[05/Nov/2014:06:00:52 -0800] - slapi_filter_free type 0xA3
[05/Nov/2014:06:00:52 -0800] - slapi_filter_dup type 0xA0
[05/Nov/2014:06:00:52 -0800] - slapi_filter_dup type 0xA3
[05/Nov/2014:06:00:52 -0800] - slapi_filter_dup type 0xA2
[05/Nov/2014:06:00:52 -0800] - slapi_filter_dup type 0xA9
[05/Nov/2014:06:00:52 -0800] - => slapi_vattr_filter_test_ext
[05/Nov/2014:06:00:52 -0800] - => test_substring_filter
[05/Nov/2014:06:00:52 -0800] -     AND
[05/Nov/2014:06:00:52 -0800] - => vattr_test_filter_list
[05/Nov/2014:06:00:52 -0800] - => slapi_vattr_filter_test_ext
[05/Nov/2014:06:00:52 -0800] - => test_substring_filter
[05/Nov/2014:06:00:52 -0800] -     EQUALITY
[05/Nov/2014:06:00:52 -0800] - => test_ava_filter
[05/Nov/2014:06:00:52 -0800] - => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[05/Nov/2014:06:00:52 -0800] - <= plugin_call_syntax_filter_ava 0
[05/Nov/2014:06:00:52 -0800] - <= test_ava_filter 0
[05/Nov/2014:06:00:52 -0800] - <= slapi_vattr_filter_test 0
[05/Nov/2014:06:00:52 -0800] - => slapi_vattr_filter_test_ext
[05/Nov/2014:06:00:52 -0800] - => test_substring_filter
[05/Nov/2014:06:00:52 -0800] -     NOT
[05/Nov/2014:06:00:52 -0800] - => slapi_vattr_filter_test_ext
[05/Nov/2014:06:00:52 -0800] - => test_substring_filter
[05/Nov/2014:06:00:52 -0800] -     EXTENDED
[05/Nov/2014:06:00:52 -0800] - => test_extensible_filter
[05/Nov/2014:06:00:52 -0800] - => test_ava_filter
[05/Nov/2014:06:00:52 -0800] - <= test_ava_filter -1
[05/Nov/2014:06:00:52 -0800] - => test_ava_filter
[05/Nov/2014:06:00:52 -0800] - => plugin_call_syntax_filter_ava ou=people
[05/Nov/2014:06:00:52 -0800] - <= plugin_call_syntax_filter_ava -1
[05/Nov/2014:06:00:52 -0800] - <= test_ava_filter -1
[05/Nov/2014:06:00:53 -0800] - <= test_extensible_filter -1

Comment 2 Nathan Kinder 2014-11-21 02:05:47 UTC
Pushing out since this is a benign error message that only occurs when debug logging is enabled.

Comment 3 Noriko Hosoi 2015-01-28 01:23:10 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48016

Comment 5 Noriko Hosoi 2015-10-06 23:46:15 UTC
Reproducer is in the Description: 
https://bugzilla.redhat.com/show_bug.cgi?id=1160902#c0

Comment 6 Mike McCune 2016-03-28 23:12:48 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 8 Kamlesh 2016-06-30 12:39:08 UTC
This Bug is verified 

Steps Perform 
1) [root@test ~]# rpm -qa | grep 389-ds
389-ds-base-1.3.5.8-1.el7.x86_64

2) [root@test /]# ldapmodify -D 'cn=Directory Manager' -h localhost -p 389 -w test1234 << EOF
> dn: cn=config
> changetype: modify
> replace: nsslapd-errorlog-level
> nsslapd-errorlog-level: 16416
> EOF

3) [root@test /]# ldapsearch -LLLx -h localhost -p 389 -D "cn=directory manager" -w test1234 -b dc=example,dc=com "(&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)))" dn
dn: cn=Directory Administrators,dc=example,dc=com

dn: cn=Accounting Managers,ou=Groups,dc=example,dc=com

dn: cn=HR Managers,ou=Groups,dc=example,dc=com

dn: cn=QA Managers,ou=Groups,dc=example,dc=com

dn: cn=PD Managers,ou=Groups,dc=example,dc=com

4) Error log entry

[root@test slapd-test]# tailf /var/log/dirsrv/slapd-test/errors

[30/Jun/2016:18:13:20.983532095 +051800] => get_filter_internal
[30/Jun/2016:18:13:21.001378187 +051800] AND
[30/Jun/2016:18:13:21.017901117 +051800] => get_filter_list
[30/Jun/2016:18:13:21.034617463 +051800] => get_filter_internal
[30/Jun/2016:18:13:21.051370943 +051800] EQUALITY
[30/Jun/2016:18:13:21.067958667 +051800] <= get_filter_internal 0
[30/Jun/2016:18:13:21.084505808 +051800] => get_filter_internal
[30/Jun/2016:18:13:21.101477440 +051800] NOT
[30/Jun/2016:18:13:21.118123347 +051800] => get_filter_internal
[30/Jun/2016:18:13:21.154308517 +051800] EXTENDED
[30/Jun/2016:18:13:21.184869014 +051800] => get_extensible_filter
[30/Jun/2016:18:13:21.201606400 +051800] <= get_extensible_filter 0
[30/Jun/2016:18:13:21.218182415 +051800] (ou:dn:=people)
[30/Jun/2016:18:13:21.234776960 +051800] <= get_filter_internal 0
[30/Jun/2016:18:13:21.251529566 +051800] <= get_filter_internal 0
[30/Jun/2016:18:13:21.268147760 +051800] <= get_filter_list
[30/Jun/2016:18:13:21.284696719 +051800] <= get_filter_internal 0
[30/Jun/2016:18:13:21.301484831 +051800] get_filter - before optimize: (&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)
[30/Jun/2016:18:13:21.318162556 +051800] get_filter -  after optimize: (&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)
[30/Jun/2016:18:13:21.351609773 +051800] index_subsys_assign_filter_decoders - before: (&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)))
[30/Jun/2016:18:13:21.376511935 +051800] index_subsys_assign_filter_decoders -  after: (&(objectClass=groupOfUniqueNames)(!(ou:dn:=people)))
[30/Jun/2016:18:13:21.393340409 +051800] slapi_str2filter "objectclass=referral"
[30/Jun/2016:18:13:21.409888206 +051800] slapi_str2filter: default
[30/Jun/2016:18:13:21.426636965 +051800] str2simple "objectclass=referral"
[30/Jun/2016:18:13:21.443331253 +051800] 	OR
[30/Jun/2016:18:13:21.459925628 +051800] 	AND
[30/Jun/2016:18:13:21.476459104 +051800] 	EQUALITY
[30/Jun/2016:18:13:21.493273328 +051800] => slapi_attr_assertion2keys_ava_sv
[30/Jun/2016:18:13:21.509980755 +051800] <= slapi_attr_assertion2keys_ava_sv 0
[30/Jun/2016:18:13:21.545952257 +051800] 	EQUALITY
[30/Jun/2016:18:13:21.576693228 +051800] => slapi_attr_assertion2keys_ava_sv
[30/Jun/2016:18:13:21.593443098 +051800] <= slapi_attr_assertion2keys_ava_sv 0
[30/Jun/2016:18:13:21.610160798 +051800] slapi_filter_free type 0xA1
[30/Jun/2016:18:13:21.626644018 +051800] slapi_filter_free type 0xA3
[30/Jun/2016:18:13:21.643246625 +051800] slapi_filter_dup type 0xA0
[30/Jun/2016:18:13:21.659924358 +051800] slapi_filter_dup type 0xA3
[30/Jun/2016:18:13:21.676720208 +051800] slapi_filter_dup type 0xA2
[30/Jun/2016:18:13:21.693408673 +051800] slapi_filter_dup type 0xA9
[30/Jun/2016:18:13:21.710127081 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:21.743041465 +051800] => test_substring_filter
[30/Jun/2016:18:13:21.768387173 +051800]     AND
[30/Jun/2016:18:13:21.785025185 +051800] => vattr_test_filter_list_and
[30/Jun/2016:18:13:21.801774812 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:21.818448043 +051800] => test_substring_filter
[30/Jun/2016:18:13:21.835095947 +051800]     EQUALITY
[30/Jun/2016:18:13:21.851718419 +051800] => test_ava_filter
[30/Jun/2016:18:13:21.868505871 +051800] => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[30/Jun/2016:18:13:21.885092729 +051800] <= plugin_call_syntax_filter_ava 0
[30/Jun/2016:18:13:21.901703334 +051800] <= test_ava_filter 0
[30/Jun/2016:18:13:21.937561856 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:21.968462412 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:21.984870359 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.001868074 +051800]     NOT
[30/Jun/2016:18:13:22.018474034 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.035133165 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.051932122 +051800]     EXTENDED
[30/Jun/2016:18:13:22.068496393 +051800] => test_extensible_filter
[30/Jun/2016:18:13:22.085198922 +051800] => test_ava_filter
[30/Jun/2016:18:13:22.101997243 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:22.134770812 +051800] => test_ava_filter
[30/Jun/2016:18:13:22.160465226 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:22.176961103 +051800] <= test_extensible_filter -1
[30/Jun/2016:18:13:22.193675729 +051800] <= slapi_vattr_filter_test -1
[30/Jun/2016:18:13:22.210444999 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.227093211 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.243614589 +051800]     EXTENDED
[30/Jun/2016:18:13:22.260302631 +051800] => test_extensible_filter
[30/Jun/2016:18:13:22.276907455 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:22.293857673 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:22.329209005 +051800] <= test_filter_list_and 0
[30/Jun/2016:18:13:22.360378968 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:22.377245646 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.393680933 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.410540770 +051800]     AND
[30/Jun/2016:18:13:22.427140433 +051800] => vattr_test_filter_list_and
[30/Jun/2016:18:13:22.443890506 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.460440437 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.477196950 +051800]     EQUALITY
[30/Jun/2016:18:13:22.493950389 +051800] => test_ava_filter
[30/Jun/2016:18:13:22.526302861 +051800] => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[30/Jun/2016:18:13:22.552140922 +051800] <= plugin_call_syntax_filter_ava 0
[30/Jun/2016:18:13:22.568856256 +051800] <= test_ava_filter 0
[30/Jun/2016:18:13:22.585459488 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:22.602184696 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.618911359 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.635539396 +051800]     NOT
[30/Jun/2016:18:13:22.652124353 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:22.668775996 +051800] => test_substring_filter
[30/Jun/2016:18:13:22.708163852 +051800]     EXTENDED
[30/Jun/2016:18:13:22.835642638 +051800] => test_extensible_filter
[30/Jun/2016:18:13:22.852327392 +051800] => test_ava_filter
[30/Jun/2016:18:13:22.868935306 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:22.885731105 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:22.902357366 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:22.918980640 +051800] => test_ava_filter
[30/Jun/2016:18:13:22.935709789 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:22.952369479 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:22.968846355 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:22.985769838 +051800] <= test_extensible_filter -1
[30/Jun/2016:18:13:23.017965075 +051800] <= slapi_vattr_filter_test -1
[30/Jun/2016:18:13:23.044142727 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.060694843 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.077461311 +051800]     EXTENDED
[30/Jun/2016:18:13:23.094097694 +051800] => test_extensible_filter
[30/Jun/2016:18:13:23.110694863 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.127508325 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.144087459 +051800] <= test_filter_list_and 0
[30/Jun/2016:18:13:23.160873293 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.177695300 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.227403051 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.244199397 +051800]     AND
[30/Jun/2016:18:13:23.260804022 +051800] => vattr_test_filter_list_and
[30/Jun/2016:18:13:23.277584986 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.294132906 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.310731914 +051800]     EQUALITY
[30/Jun/2016:18:13:23.327482270 +051800] => test_ava_filter
[30/Jun/2016:18:13:23.344178652 +051800] => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[30/Jun/2016:18:13:23.360895168 +051800] <= plugin_call_syntax_filter_ava 0
[30/Jun/2016:18:13:23.377289505 +051800] <= test_ava_filter 0
[30/Jun/2016:18:13:23.419225288 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.435907618 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.452595450 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.469201649 +051800]     NOT
[30/Jun/2016:18:13:23.485920054 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.502485245 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.519333714 +051800]     EXTENDED
[30/Jun/2016:18:13:23.535981599 +051800] => test_extensible_filter
[30/Jun/2016:18:13:23.552761346 +051800] => test_ava_filter
[30/Jun/2016:18:13:23.569352840 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:23.604159514 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:23.636009694 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:23.652636808 +051800] => test_ava_filter
[30/Jun/2016:18:13:23.669233661 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:23.685921164 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:23.702671142 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:23.719447007 +051800] <= test_extensible_filter -1
[30/Jun/2016:18:13:23.736015055 +051800] <= slapi_vattr_filter_test -1
[30/Jun/2016:18:13:23.752606407 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.769386052 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.801332159 +051800]     EXTENDED
[30/Jun/2016:18:13:23.827760955 +051800] => test_extensible_filter
[30/Jun/2016:18:13:23.844439024 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.861166089 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.877666779 +051800] <= test_filter_list_and 0
[30/Jun/2016:18:13:23.894515949 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:23.911180458 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:23.927841855 +051800] => test_substring_filter
[30/Jun/2016:18:13:23.944432640 +051800]     AND
[30/Jun/2016:18:13:23.961125174 +051800] => vattr_test_filter_list_and
[30/Jun/2016:18:13:23.995831612 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.027915785 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.044612768 +051800]     EQUALITY
[30/Jun/2016:18:13:24.061134882 +051800] => test_ava_filter
[30/Jun/2016:18:13:24.077726862 +051800] => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[30/Jun/2016:18:13:24.094609342 +051800] <= plugin_call_syntax_filter_ava 0
[30/Jun/2016:18:13:24.111205340 +051800] <= test_ava_filter 0
[30/Jun/2016:18:13:24.127831175 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:24.144596630 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.161236544 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.192942315 +051800]     NOT
[30/Jun/2016:18:13:24.219529685 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.236236499 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.252963884 +051800]     EXTENDED
[30/Jun/2016:18:13:24.269616526 +051800] => test_extensible_filter
[30/Jun/2016:18:13:24.286366808 +051800] => test_ava_filter
[30/Jun/2016:18:13:24.302990005 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:24.319598908 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:24.336232303 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:24.352964333 +051800] => test_ava_filter
[30/Jun/2016:18:13:24.387347851 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:24.419540226 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:24.436382231 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:24.453060041 +051800] <= test_extensible_filter -1
[30/Jun/2016:18:13:24.469576444 +051800] <= slapi_vattr_filter_test -1
[30/Jun/2016:18:13:24.486380543 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.503102777 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.519754433 +051800]     EXTENDED
[30/Jun/2016:18:13:24.536283387 +051800] => test_extensible_filter
[30/Jun/2016:18:13:24.553085068 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:24.592874345 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:24.619822372 +051800] <= test_filter_list_and 0
[30/Jun/2016:18:13:24.636479223 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:24.653230546 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.669781663 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.686490253 +051800]     AND
[30/Jun/2016:18:13:24.703224633 +051800] => vattr_test_filter_list_and
[30/Jun/2016:18:13:24.719788199 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.736493894 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.753181971 +051800]     EQUALITY
[30/Jun/2016:18:13:24.787478692 +051800] => test_ava_filter
[30/Jun/2016:18:13:24.819855553 +051800] => plugin_call_syntax_filter_ava objectClass=groupofuniquenames
[30/Jun/2016:18:13:24.836577666 +051800] <= plugin_call_syntax_filter_ava 0
[30/Jun/2016:18:13:24.853143113 +051800] <= test_ava_filter 0
[30/Jun/2016:18:13:24.869783099 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:24.886570527 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.903142028 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.919889905 +051800]     NOT
[30/Jun/2016:18:13:24.936706074 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:24.953241652 +051800] => test_substring_filter
[30/Jun/2016:18:13:24.992785023 +051800]     EXTENDED
[30/Jun/2016:18:13:25.019993414 +051800] => test_extensible_filter
[30/Jun/2016:18:13:25.036592266 +051800] => test_ava_filter
[30/Jun/2016:18:13:25.053297450 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:25.069978146 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:25.086753446 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:25.103408828 +051800] => test_ava_filter
[30/Jun/2016:18:13:25.119918603 +051800] => plugin_call_syntax_filter_ava ou=people
[30/Jun/2016:18:13:25.136762050 +051800] <= plugin_call_syntax_filter_ava -1
[30/Jun/2016:18:13:25.153438888 +051800] <= test_ava_filter -1
[30/Jun/2016:18:13:25.213281855 +051800] <= test_extensible_filter -1
[30/Jun/2016:18:13:25.236831570 +051800] <= slapi_vattr_filter_test -1
[30/Jun/2016:18:13:25.253320992 +051800] => slapi_vattr_filter_test_ext
[30/Jun/2016:18:13:25.269984515 +051800] => test_substring_filter
[30/Jun/2016:18:13:25.286667317 +051800]     EXTENDED
[30/Jun/2016:18:13:25.303405127 +051800] => test_extensible_filter
[30/Jun/2016:18:13:25.319974658 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:25.336766152 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:25.353430459 +051800] <= test_filter_list_and 0
[30/Jun/2016:18:13:25.370159856 +051800] <= slapi_vattr_filter_test 0
[30/Jun/2016:18:13:25.437091489 +051800] slapi_filter_free type 0xA0
[30/Jun/2016:18:13:25.453369181 +051800] slapi_filter_free type 0xA3
[30/Jun/2016:18:13:25.470170781 +051800] slapi_filter_free type 0xA2
[30/Jun/2016:18:13:25.486751122 +051800] slapi_filter_free type 0xA9
[30/Jun/2016:18:13:25.503318397 +051800] slapi_filter_free type 0xA0
[30/Jun/2016:18:13:25.520019537 +051800] slapi_filter_free type 0xA3
[30/Jun/2016:18:13:25.536645657 +051800] slapi_filter_free type 0xA2
[30/Jun/2016:18:13:25.553369824 +051800] slapi_filter_free type 0xA9

Comment 10 errata-xmlrpc 2016-11-03 20:34:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.